Bug 1315202 (CVE-2016-1979)

Summary: CVE-2016-1979 nss: Use-after-free during processing of DER encoded keys in NSS (MFSA 2016-36)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: security-response-team, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way NSS processed certain DER (Distinguished Encoding Rules) encoded cryptographic keys. An attacker could use this flaw to create a specially crafted DER encoded certificate which, when parsed by an application compiled against the NSS library, could cause that application to crash, or execute arbitrary code using the permissions of the user running the application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:49:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1316003, 1323648, 1323649, 1323650, 1323651, 1323652    
Bug Blocks: 1310521    

Description Huzaifa S. Sidhpurwala 2016-03-07 09:02:25 UTC
Mozilla developer Tim Taubert used the Address Sanitizer tool and software fuzzing to discover a use-after-free vulnerability while processing DER encoded keys in the Network Security Services (NSS) libraries. The vulnerability overwrites the freed memory with zeroes. This issue has been addressed in NSS 3.21.1, shipping in Firefox 45. 

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2016-36

Comment 1 Huzaifa S. Sidhpurwala 2016-03-07 09:02:32 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Tim Taubert

Comment 2 Huzaifa S. Sidhpurwala 2016-03-09 08:43:39 UTC
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1316003]

Comment 4 errata-xmlrpc 2016-04-05 11:20:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0591 https://rhn.redhat.com/errata/RHSA-2016-0591.html

Comment 5 errata-xmlrpc 2016-04-25 11:58:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0685 https://rhn.redhat.com/errata/RHSA-2016-0685.html

Comment 6 errata-xmlrpc 2016-04-25 12:15:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0684 https://rhn.redhat.com/errata/RHSA-2016-0684.html